package com.yunzhi.demo.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.demo.entity.TaMedicalLog;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yunzhi.demo.entity.TaPerson;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 就诊记录 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2021-04-15
 */
@Mapper
public interface TaMedicalLogMapper extends BaseMapper<TaMedicalLog> {

    IPage<TaMedicalLog> getMedicalLogPagedBy(IPage<TaMedicalLog> pg,
                                          @Param("schoolId") String schoolId,
                                          @Param("specialtyId") String specialtyId,
                                          @Param("studentId") String studentId);
}
