package com.yunzhi.demo.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.demo.entity.TaPerson;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yunzhi.demo.vo.StatisPerson;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 人员 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2021-04-15
 */
@Mapper
public interface TaPersonMapper extends BaseMapper<TaPerson> {

    IPage<StatisPerson> getStudentStatis(IPage<StatisPerson> pg,
                                        @Param("name") String name,
                                        @Param("schoolId") String schoolId,
                                        @Param("specialtyId") String specialtyId,
                                        @Param("asc") String asc,
                                        @Param("desc") String desc);

    IPage<TaPerson> getStudentInfoPagedBy(IPage<TaPerson> pg,
                                          @Param("name") String name,
                                          @Param("schoolId") String schoolId,
                                          @Param("specialtyId") String specialtyId,
                                          @Param("phone") String phone,
                                          @Param("studentId") String studentId);
}
