package com.yunzhi.demo.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.yunzhi.demo.common.Constants;
import com.yunzhi.demo.entity.SysBanner;
import com.yunzhi.demo.mapper.SysBannerMapper;
import com.yunzhi.demo.service.ISysBannerService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 广告栏 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2021-04-15
 */
@Service
public class SysBannerServiceImpl extends ServiceImpl<SysBannerMapper, SysBanner> implements ISysBannerService {

    @Override
    public List<SysBanner> getIndexList() {
        QueryWrapper<SysBanner> queryWrapper = new QueryWrapper<SysBanner>()
                .eq("status", Constants.STATUS_NORMAL)
                .orderByAsc("sort_no");
        return list(queryWrapper);
    }
}
