package com.yunzhi.demo.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.demo.entity.MyReadLog;
import com.yunzhi.demo.entity.TaReadLog;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 阅读记录 服务类
 * </p>
 *
 * @author yansen
 * @since 2021-04-15
 */
public interface ITaReadLogService extends IService<TaReadLog> {

    IPage<MyReadLog> getMyReadList(IPage<MyReadLog> pg, String personId);
int
     updateDuration(String personId, String postId, Integer duration);

    List<Map<String, Integer>> getIndexPostPV(String startDate, String endDate);

    List<Map<String, Integer>> getIndexPostUV(String startDate, String endDate);
}
